## ros-kinetic-manipulator-h-manager 0.3.1

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 2.8.3)
project(manipulator_h_manager)

## Compile as C++11, supported in ROS Kinetic and newer
set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")

################################################################################
# Find catkin packages and libraries for catkin and system dependencies
################################################################################
find_package(catkin REQUIRED COMPONENTS
  roscpp
  robotis_controller
  manipulator_h_base_module
)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################

################################################################################
# Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
## Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package(
  CATKIN_DEPENDS roscpp robotis_controller manipulator_h_base_module
)

################################################################################
# Build
################################################################################
include_directories(
  ${catkin_INCLUDE_DIRS}
)

add_executable(${PROJECT_NAME} src/manipulator_h_manager.cpp)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

################################################################################
# Install
################################################################################
install(TARGETS ${PROJECT_NAME}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-kinetic-manipulator-h-manager (0.3.1-0xenial) xenial; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Sun, 25 Mar 2018 15:00:00 -0000

ros-kinetic-manipulator-h-manager (0.3.0-0xenial) xenial; urgency=high

  * modified build option and dependencies
  * changed license to Apache 2.0
  * changed package.xml format to v2
  * changed manager's default value
  * Contributors: Pyo, SCH

 -- Pyo <pyo@robotis.com>  Thu, 22 Mar 2018 15:00:00 -0000

ros-kinetic-manipulator-h-manager (0.2.3-0xenial) xenial; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Thu, 08 Jun 2017 15:00:00 -0000

ros-kinetic-manipulator-h-manager (0.2.2-0xenial) xenial; urgency=high

  * updated cmake file for ros install
  * added a control cycle in robot file
  * Contributors: SCH

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-kinetic-manipulator-h-manager (0.2.1-0xenial) xenial; urgency=high

  * manipulator_h_gui: package.xml cmake_modules dependency added
  * manipulator_h_description: for indigo option
  * Contributors: SCH

 -- pyo <pyo@robotis.com>  Wed, 21 Sep 2016 15:00:00 -0000

ros-kinetic-manipulator-h-manager (0.2.0-0xenial) xenial; urgency=high

  * added manipulator_h_gui package that GUI tool to control ROBOTIS MANIPULATOR-H
  * Contributors: SCH

 -- pyo <pyo@robotis.com>  Thu, 18 Aug 2016 15:00:00 -0000

ros-kinetic-manipulator-h-manager (0.1.1-0xenial) xenial; urgency=high

  * first public release for Kinetic
  * Contributors: s-changhyun, pyo

 -- pyo <pyo@robotis.com>  Wed, 10 Aug 2016 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-manipulator-h-manager
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-manipulator-h-base-module, ros-kinetic-robotis-controller, ros-kinetic-roscpp
Homepage: http://wiki.ros.org/manipulator_h_manager
Standards-Version: 3.9.2

Package: ros-kinetic-manipulator-h-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-manipulator-h-base-module, ros-kinetic-robotis-controller, ros-kinetic-roscpp
Description: The manipulator_h_manager package This package describes robot manager to execute manipulator_h_base_module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-manipulator-h-manager//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
